API reference
All operations
COMPANY

Creates a new company.

POST/api/v2/companies

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentialsAPI key

Request body

application/jsonrequired

The company data to create.

CreateCompanyRequest
  • companyNamestring
  • legalNamestringnullable
  • accountNostring
  • statusstring
  • address1string
  • address2string
  • address3string
  • citystring
  • statestring
  • zipstring
  • countystring
  • countrystring
  • phonestring
  • faxstring
  • webstring
  • recordTypeIdinteger · int32
  • branchIdinteger · int32
  • parentIdinteger · int32
  • sourceIdinteger · int32
  • assignedRepPrimaryIdinteger · int32
  • assignedRepSecondaryIdsinteger[]

Responses

Company created successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataCompanyDto
  • companyIdinteger · int32
  • parentIdinteger · int32
  • recordTypeIdinteger · int32
  • branchIdinteger · int32
  • companyNamestring
  • legalNamestring
  • accountNostring
  • address1string
  • address2string
  • address3string
  • citystring
  • statestring
  • zipstring
  • countystring
  • countrystring
  • mailingbooleannullable
  • latitudenumber · double
  • longitudenumber · double
  • phonestring
  • faxstring
  • webstring
  • linkedboolean
  • sourceIdinteger · int32
  • statusstring
  • enteredstring · date-time
  • lastModifiedstring · date-time
  • completeboolean
  • parentNamestring
  • parentAccountNostring
  • assignedRecordTypestring
  • assignedBranchstring
  • assignedNationalAccountsstring
  • assignedNationalAccountIdsstring
  • assignedSourcestring
  • buyIDstring